Katello angular pages fail to render with SELinux in Enforcing mode

03/24/2014 10:54 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Security   

Target version: Katello 2.0   

Triaged: Yes Found in Releases:  

Fixed in Releases:    

Description

If you turn on SELinux various CSS/javascript files will fail to load and angular based pages will fail to render.

We need to resolve this so we can support Katello running with SELinux in Enforcing mode

History

#1 - 03/24/2014 10:55 PM - Mike McCune

You will see JavaScript errors such as:

ReferenceError: angular is not defined

denials such as:

type=AVC msg=audit(1395701222.963:8190): avc:  denied  { getattr } for  pid=27029 comm="httpd" path="/var/lib/foreman/public/assets/katello"

dev=dm-0 ino=1708431 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:foreman_lib_t:s0 tclass=lnk_file

type=AVC msg=audit(1395701222.969:8191): avc:  denied  { read } for  pid=4203 comm="httpd" name="katello" dev=dm-0 ino=1708431

scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:foreman_lib_t:s0 tclass=lnk_file

type=AVC msg=audit(1395701222.969:8192): avc:  denied  { getattr } for  pid=4203 comm="httpd" path="/var/lib/foreman/public/assets/katello"

dev=dm-0 ino=1708431 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:foreman_lib_t:s0 tclass=lnk_file

#2 - 04/04/2014 04:11 PM - Walden Raines

- Status changed from Assigned to Closed

I cannot reproduce this in a production environment with selinux enabled.

#3 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
